<script setup lang="ts">
import { watch } from 'vue';
import useStore from '@/stores';
const store = useStore();
const webStyle = store.state.glob.webStyle;
setBodyClass(webStyle);
watch(
  () => store.state.glob.webStyle,
  newVal => {
    setBodyClass(newVal);
  },
);

function setBodyClass(style: string) {
  (document.querySelector('body') as HTMLElement).className = style;
}
</script>

<template>
  <div class="h-100 flex-column level-1">
    <router-view />
  </div>
</template>
